Ubuntu 12.04 LTS / 12.10 : glance vulnerability (USN-1764-1)

Ubuntu Security Notice (C) 2013 Canonical, Inc. / NASL script (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing a security-related patch.

Description :

Stuart McLaren discovered an issue with Glance v1 API requests. An
authenticated attacker could exploit this to expose the Glance
operator's Swift and/or S3 credentials via the response headers when
requesting a cached image.

Solution :

Update the affected python-glance package.

Risk factor :

Low / CVSS Base Score : 3.5
(CVSS2#AV:N/AC:M/Au:S/C:P/I:N/A:N)
CVSS Temporal Score : 2.6
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 65574 ()

Bugtraq ID: 58490

CVE ID: CVE-2013-1840